Package com.clickhouse.jdbc

# Interface ClickHouseStatement

All Superinterfaces:
  `AutoCloseable`, `Statement`, `Wrapper`

@Deprecated public interface ClickHouseStatement extends Statement
Deprecated.

## Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

## Method Summary

Modifier and Type
Method
Description
`ClickHouseConfig`
`getConfig()`
Deprecated.
`ClickHouseConnection`
`getConnection()`
Deprecated.
`OutputStream`
`getMirroredOutput()`
Deprecated.
Gets mirrored output stream.
`int`
`getNullAsDefault()`
Deprecated.
`ClickHouseRequest<?>`
`getRequest()`
Deprecated.
`void`
`setMirroredOutput(OutputStream out)`
Deprecated.
Sets mirrored output stream, which will be later used for dumping all `ResultSet` generated by this statement, via `ClickHouseInputStream.setCopyToTarget(OutputStream)`.
`void`
`setNullAsDefault(int level)`
Deprecated.
`default ClickHouseRequest.Mutation`
`write()`
Deprecated.

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### getConnection

ClickHouseConnection getConnection() throws SQLException
Deprecated.

Specified by:
  `getConnection` in interface `Statement`
Throws:
  `SQLException`

### getConfig

ClickHouseConfig getConfig()
Deprecated.

### getMirroredOutput

OutputStream getMirroredOutput()
Deprecated.
Gets mirrored output stream.

Returns:
  mirrored output stream, could be null

### setMirroredOutput

void setMirroredOutput(OutputStream out)
Deprecated.
Sets mirrored output stream, which will be later used for dumping all `ResultSet` generated by this statement, via `ClickHouseInputStream.setCopyToTarget(OutputStream)`.

Parameters:
  `out` - mirrored output stream, could be null

### getNullAsDefault

int getNullAsDefault()
Deprecated.

### setNullAsDefault

void setNullAsDefault(int level)
Deprecated.

### getRequest

ClickHouseRequest<?> getRequest()
Deprecated.

### write

default ClickHouseRequest.Mutation write()
Deprecated.